Summary: A system integrity assessment tool.
Name: tripwire
Version: 2.3
Release: 55
Copyright: GPL
Group: Applications/System
Source0: ftp://www.tripwire.org/tripwire.tar.gz
Source1: tripwire.cron
Source2: tripwire.txt
Source3: tripwire.gif
Source4: twcfg.txt.in
Source5: twinstall.sh.in
Source6: twpol.txt.in
Source7: README.RPM
URL: http://www.tripwire.org/
Requires: sed, grep >= 2.3, gzip, tar, gawk
ExclusiveArch: i386
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Tripwire is a very valuable security tool for Linux systems, if it is
installed to a clean system.  Tripwire should be installed right after
the OS installation, and before you have connected your system to a
network (i.e., before any possibility exists that someone could alter
files on your system).

When Tripwire is initially set up, it creates a database that records
certain file information.  Then when it is run, it compares a
designated set of files and directories to the information stored in
the database.  Added or deleted files are flagged and reported, as are
any files that have changed from their previously recorded state in
the database.  When Tripwire is run against system files on a regular
basis, any file changes will be spotted when Tripwire is run.
Tripwire will report the changes, which will give system
administrators a clue that they need to enact damage control measures
immediately if certain files have been altered.

Extra-paranoid Tripwire users will set it up to run once a week and
e-mail the results to themselves.  Then if the e-mails stop coming,
you'll know someone has gotten to the Tripwire program...

After installing this package, you should run "/etc/tripwire/twinstall.sh"
to generate cryptographic keys, and "tripwire --init" to initialize the
database.

%prep
%setup -q
cp $RPM_SOURCE_DIR/tripwire.txt quickstart.txt
cp $RPM_SOURCE_DIR/tripwire.gif quickstart.gif

%build
cd src

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

#make distclean
make -j $CPUS release

%install
[ $RPM_BUILD_ROOT != / ] && rm -fr $RPM_BUILD_ROOT

# Install the binaries.
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m755 bin/*/siggen   $RPM_BUILD_ROOT%{_sbindir}
install -m755 bin/*/tripwire $RPM_BUILD_ROOT%{_sbindir}
install -m755 bin/*/twadmin  $RPM_BUILD_ROOT%{_sbindir}
install -m755 bin/*/twprint  $RPM_BUILD_ROOT%{_sbindir}

# Install the man pages.
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man4,man5,man8}
install -m644 man/man4/* $RPM_BUILD_ROOT%{_mandir}/man4/
install -m644 man/man5/* $RPM_BUILD_ROOT%{_mandir}/man5/
install -m644 man/man8/* $RPM_BUILD_ROOT%{_mandir}/man8/

# Install configuration information.
mkdir -p $RPM_BUILD_ROOT/etc/tripwire
for infile in twinstall.sh twpol.txt twcfg.txt ; do
	cat $RPM_SOURCE_DIR/${infile}.in |\
	sed -e 's|@sbindir@|%{_sbindir}|g' |\
	sed -e 's|@vardir@|%{_var}|g' >\
	$RPM_BUILD_ROOT/etc/tripwire/${infile}
done

# Create the reports directory.
install -d -m700 $RPM_BUILD_ROOT%{_var}/lib/tripwire/report

# Install the cron job.
install -d -m755 $RPM_BUILD_ROOT/etc/cron.daily
install -m755 $RPM_SOURCE_DIR/tripwire.cron $RPM_BUILD_ROOT/etc/cron.daily/tripwire-check

# Fix permissions on documentation files.
chmod 644 README Release_Notes ChangeLog COPYING policyguide.txt TRADEMARK quickstart.gif quickstart.txt

%files
%attr(-,root,root) %doc README Release_Notes ChangeLog COPYING policyguide.txt TRADEMARK quickstart.gif quickstart.txt ${RPM_SOURCE_DIR}/README.RPM
%attr(0755,root,root) %dir /etc/tripwire
%attr(0755,root,root) %config /etc/tripwire/twinstall.sh
%attr(0755,root,root) %config /etc/tripwire/twcfg.txt
%attr(0755,root,root) %config /etc/tripwire/twpol.txt
%attr(0755,root,root) %config /etc/cron.daily/tripwire-check
%attr(0755,root,root) %dir /var/lib/tripwire/report
%attr(0644,root,root) %{_mandir}/*/*
%attr(0755,root,root) %{_sbindir}/*

%clean
[ $RPM_BUILD_ROOT != / ] && rm -fr $RPM_BUILD_ROOT

%changelog
* Wed Aug 23 2000 Than Ngo <than@redhat.com>
- remove copyleft information in specfile (Bug #16765)

* Tue Aug 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove duplicate source files
- sync up description with specspo

* Fri Aug 4 2000 Than Ngo <than@redhat.de>
- remove Vendor and Distribution from specfile (Bug #15246)

* Fri Aug 4 2000 Than Ngo <than@redhat.de>
- starts tripwire --check if it was configured before. (Bug #15384)

* Fri Aug 4 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix sense of checking for the database's existence in the cron job
- actually include twinstall.sh, twcfg.txt, twpol.txt

* Thu Aug 3 2000 Than Ngo <than@redhat.de>
- permission fix (bug #15246)

* Mon Jul 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- add quickstart docs (Ed)
- tweak description text (Ed)

* Thu Jul 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- update .spec file to follow RPM conventions
- add tripwire --check to cron.daily

